﻿// this file contains stubs for mimimumal implementation for TriTech's business layer so the WPF app will be able to run
// to enable simulation:
// 1. uncomment all code marked with "simulation"
// 2. remove all references to TriTech.* assemablies

//simulation
//using System;
//using System.Collections.Generic;
//using System.Linq;
//using System.Text;
//using TriTech.VisiCAD.Event;
//using TriTech.Mail.Event;
//using TriTech.Mail;
//using TriTech.VisiCAD.Notification;
//using TriTech.VisiCAD.Notification.Components;
//using TriTech.VisiCAD.ViewController.Components;
//using System.IO;

//namespace TriTech.VisiCAD.Notification.Components
//{
//    public class NotificationEngine
//    {
//        public static NotificationEngine Instance;
//        public NotificationEngine()
//        {
//            Instance = this;
//        }
//        public void SimulateNotification(EnumNotificationWindow notificationWindowEnum, EnumNotificationEventType notificationEventTypeEnum, int notificationPriority, bool commandAvailable)
//        {
//            if (NotificationTriggered != null)
//            {
//                NotificationTriggeredEventArgs e = new NotificationTriggeredEventArgs();
//                TriggeredNotification notification = new TriggeredNotification(notificationWindowEnum, notificationEventTypeEnum);
//                notification.NotificationEvent.NotificationEventPriority = notificationPriority;
//                notification.CommandAvailable = commandAvailable;
//                e.TriggeredNotification = notification;
//                NotificationTriggered(this, e);
//            }
//        }
//        public event EventHandler<NotificationTriggeredEventArgs> NotificationTriggered;
//        public void Initialize(ViewControllerEngine viewControllerEngine) { }
//        public void StartNotifications() { }
//        public void StopNotifications() { }
//        public void InitializeNotificationEventCacheAndDynamicCodeEngine() { }
//        public void Dispose() { }

//    }

//    public class NotificationTriggeredEventArgs : EventArgs
//    {
//        public TriggeredNotification TriggeredNotification { get; set; }
//    }

//    public class NewMailMessageEventDescriptionDefinition //: GenericEventDescriptionDefinition
//    {
//        public void ReplyMail(TriggeredNotification notification, string replyText) { }
//    }

//    public interface IEventDescriptionComponent
//    {
//    }

//    public class HyperlinkDescriptionComponent : IEventDescriptionComponent
//    {
//        public bool DrillDownCommandAvailable
//        {
//            get
//            {
//                return false;
//            }
//        }
//        public bool HoverTextAvailable
//        {
//            get
//            {
//                return true;
//            }
//        }
//        public string Name
//        {
//            get
//            {
//                return "hl1";
//            }
//        }
//    }

//    public class StringDescriptionComponent : IEventDescriptionComponent
//    {
//        public string Text
//        {
//            get
//            {
//                return " bla bla ";
//            }
//        }
//    }

//    public class TriggeredNotification
//    {
//        public TriggeredNotification(EnumNotificationWindow notificationWindowEnum, EnumNotificationEventType notificationEventTypeEnum)
//        {
//            NotificationTime = DateTime.Now;

//            m_notificationEvent = new NotificationEvent();
//            m_notificationEvent.NotificationWindowEnum = notificationWindowEnum;
//            m_notificationEvent.NotificationEventTypeEnum = notificationEventTypeEnum;
//        }

//        public CADManager CADManager
//        {
//            get
//            {
//                return new CADManager();
//            }
//        }
//        public bool CommandAvailable;
//        //public bool CommandPerformedByOther { get; }
//        public string IconPath
//        {
//            get
//            {
//                return Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "test.gif");
//            }
//        }
//        private NotificationEvent m_notificationEvent;
//        public NotificationEvent NotificationEvent
//        {
//            get
//            {
//                return m_notificationEvent;
//            }
//        }
//        public DateTime NotificationTime { get; private set; }

//        public string GetCommand()
//        {
//            return string.Empty;
//        }
//        public List<IEventDescriptionComponent> GetDescriptionComponents()
//        {
//            List<IEventDescriptionComponent> result = new List<IEventDescriptionComponent>();
//            result.Add(new StringDescriptionComponent());
//            result.Add(new HyperlinkDescriptionComponent());
//            result.Add(new StringDescriptionComponent());
//            result.Add(new HyperlinkDescriptionComponent());
//            result.Add(new StringDescriptionComponent());
//            return result;
//        }
//        public string GetDetailedText()
//        {
//            if (m_notificationEvent.NotificationEventTypeEnum == EnumNotificationEventType.RecordCheckResult)
//            {
//                return @"<html>aaa</html>";
//            }
//            else
//            {
//                return "sample of detailed text for triggered notification" + Environment.NewLine +
//                    "next line sample";
//            }
//        }
//        public string GetDrillDownCommand(string hyperlinkName)
//        {
//            return string.Empty;
//        }
//        public TimeSpan GetElapsedTime()
//        {
//            return DateTime.Now.Subtract(NotificationTime);
//        }
//        //public object GetEventTimeParameter(string parameterName);
//        public string GetHoverText(string hyperlinkName)
//        {
//            return "This is a sample of Hover Text" + Environment.NewLine + "next line sample";
//        }
//        public string GetHyperlinkValue(string hyperlinkName)
//        {
//            return "hyperlink value";
//        }
//        public void InformCommandPerformed()
//        {
//        }
//        public void SetCommandPerformedByOther() { }
//        public bool TriggeredBy(int notificationEventID, string originalEventUniqueID)
//        {
//            return false;
//        }
//    }
//}

//namespace TriTech.VisiCAD.App.Command
//{
//}

//namespace TriTech.VisiCAD
//{
//    public class PersonLimitedQueryEngine //: QueryEngineBase
//    {
//        public int GetPersonnelIDByCode(string personnelCode)
//        {
//            return 1;
//        }

//    }

//    public class CADManager
//    {
//        public NotificationQueryEngine NotificationQueryEngine
//        {
//            get
//            {
//                return new NotificationQueryEngine();
//            }
//        }
//        public event EventHandler<CADEventReceivedArgs> CADEventReceived;
//        public void StartReceivingEvents() { }

//        public int PersonnelID
//        {
//            get
//            {
//                return 1;
//            }
//        }
//        public MailManager MailManager
//        {
//            get
//            {
//                return new MailManager();
//            }
//        }

//        public void Initialize()
//        {
//        }

//        public PersonLimitedQueryEngine PersonLimitedQueryEngine
//        {
//            get
//            {
//                return new PersonLimitedQueryEngine();
//            }
//        }

//        public void Login(int personnelID, string password)
//        {
//        }
//    }

//    public class CADEventReceivedArgs : EventArgs
//    {
//        public CADEvent CADEvent { get; set; }
//    }

//}

//namespace TriTech.VisiCAD.Event
//{
//    public class CADEvent
//    {
//        public int ActiveProcessID { get; set; }
//        public GenericEvent[] BusinessEvents { get; set; }
//    }

//    public class GenericEvent { }
//    public class NotificationCommandPerformed : GenericEvent
//    {
//        public int NotificationEventID { get; set; }
//        public string OriginalEventID { get; set; }
//    }
//    public class NotificationChangesApplied : GenericEvent
//    {
//        public int AgencyID { get; set; }
//    }
//}

//namespace TriTech.VisiCAD.ViewController.Components
//{
//    public class ViewControllerEngine
//    {
//        public CADManager CADManager { get; set; }
//        public ViewControllerEngine(CADManager cadManager)
//        {
//            CADManager = cadManager;
//        }
//        public int CallTakingAgencyID
//        {
//            get
//            {
//                return 1;
//            }
//        }
//        public void SetCallTakingAgency(int callTakingAgencyID) { }
//        public void SetViewControllerFilter(IList<int> filterIdList) { }
//    }
//}

//namespace TriTech.VisiCAD.Notification
//{
//    public enum EnumNotificationWindow
//    {
//        Main = 1,
//        Notes1 = 2,
//        Notes2 = 3
//    }

//    public class NotificationQueryEngine //: QueryEngineBase
//    {
//        public string GetNotificationWindowName(EnumNotificationWindow notificationWindowEnum)
//        {
//            switch (notificationWindowEnum)
//            {
//                case EnumNotificationWindow.Notes1:
//                    return "Notes";
//                case EnumNotificationWindow.Notes2:
//                    return "Record Check";
//                default:
//                    return null;
//            }
//        }
//    }

//    public enum EnumNotificationEventType
//    {
//        UnitStatusChanged = 1,
//        NewMailMessage = 23,
//        RecordCheckResult = 24,
//    }

//    public class NotificationEvent //: IDEntityBase
//    {
//        public EnumNotificationWindow NotificationWindowEnum;
//        public string NotificationEventCategory
//        {
//            get
//            {
//                return "notification category" + DateTime.Now.Second;
//            }
//        }
//        public int NotificationEventPriority;
//        public EnumNotificationEventType NotificationEventTypeEnum;
//        public NewMailMessageEventDescriptionDefinition EventDescriptionDefinition
//        {
//            get
//            {
//                return new NewMailMessageEventDescriptionDefinition();
//            }
//        }

//    }

//}

//namespace TriTech.VisiCAD.App.Command
//{
//    public class CommandEngine //: CADComponentBase
//    {
//        public void SetCADManager(CADManager cadManager) { }
//        public void ExecuteCommand(string commandString) { }
//        public void Dispose() { }
//    }
//}

//namespace TriTech.Mail
//{
//    public enum MailboxType
//    {
//        User = 1,
//    }

//    public class MailManager
//    {
//        public event EventHandler<MailEventReceivedArgs> MailEventReceived;
//        public void StartMailNotification() { }
//        public void OpenMailboxByID(int mailboxID) { }
//        public int LookupMailboxIDByExternalLinkID(MailboxType mailboxType, int externalLinkID)
//        {
//            return 1;
//        }
//    }

//    public class MailEventReceivedArgs : EventArgs
//    {
//        public MailEvent MailEvent { get; set; }
//    }
//}

//namespace TriTech.Mail.Event
//{
//    public class MailEvent
//    {
//        public int ActiveProcessID { get; set; }
//        //[XmlElement("BusinessEvents")]
//        //public GenericMailEvent[] BusinessEvents { get; set; }
//    }

//}

//namespace TriTech.Common.Logging
//{
//    public enum LogSeverity
//    {
//        Critical = 1,
//        Error = 2,
//        Warning = 4,
//        Information = 8,
//    }
//    public static class Logger
//    {
//        public static void Write(string category, LogSeverity severity, string title, string message, int eventID) { }
//        public static void Write(string category, LogSeverity severity, string title, string message, int eventID, string details) { }
//    }
//}

//namespace TriTech.Common
//{
//    public static class Terminator
//    {
//        public static void Terminate()
//        {
//        }
//    }
//}




